org.springframework.data.mapping

## Class AccessOptions.GetOptions

- java.lang.Object
- - org.springframework.data.mapping.AccessOptions.GetOptions

Enclosing class:
  AccessOptions

    public static class AccessOptions.GetOptions
    extends Object

Access options for getting values for property paths.

Author:
  Oliver Drotbohm

### Nested Class Summary

Nested Classes
`static class` `AccessOptions.GetOptions.GetNulls` How to handle null values during a `PersistentPropertyPath` traversal.

### Constructor Summary

Constructors
Constructor and Description
`GetOptions(Map<PersistentProperty<?>,Function<Object,Object>> handlers, AccessOptions.GetOptions.GetNulls nullValues)`

### Method Summary

All Methods Instance Methods Concrete Methods
`AccessOptions.GetOptions.GetNulls` `getNullValues()`
`AccessOptions.GetOptions` `registerCollectionHandler(PersistentProperty<?> property, Function<? super Collection<?>,Object> handler)` Registers a `Function` to handle `Collection` values for the given property.
`<T> AccessOptions.GetOptions` `registerHandler(PersistentProperty<?> property, Class<T> type, Function<? super T,Object> handler)` Registers the given `Function` to post-process values obtained for the given `PersistentProperty` for the given type.
`AccessOptions.GetOptions` `registerHandler(PersistentProperty<?> property, Function<Object,Object> handler)` Registers a `Function` to post-process values for the given property.
`AccessOptions.GetOptions` `registerListHandler(PersistentProperty<?> property, Function<? super List<?>,Object> handler)` Registers a `Function` to handle `List` values for the given property.
`AccessOptions.GetOptions` `registerMapHandler(PersistentProperty<?> property, Function<? super Map<?,?>,Object> handler)` Registers a `Function` to handle `Map` values for the given property.
`AccessOptions.GetOptions` `registerSetHandler(PersistentProperty<?> property, Function<? super Set<?>,Object> handler)` Registers a `Function` to handle `Set` values for the given property.
`AccessOptions.GetOptions` `withNullValues(AccessOptions.GetOptions.GetNulls nullValues)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GetOptions

    public GetOptions(Map<PersistentProperty<?>,Function<Object,Object>> handlers,
                      AccessOptions.GetOptions.GetNulls nullValues)

### Method Detail

#### getNullValues

    public AccessOptions.GetOptions.GetNulls getNullValues()

#### withNullValues

    public AccessOptions.GetOptions withNullValues(AccessOptions.GetOptions.GetNulls nullValues)

#### registerHandler

    public AccessOptions.GetOptions registerHandler(PersistentProperty<?> property,
                                                    Function<Object,Object> handler)

Registers a `Function` to post-process values for the given property.

Parameters:
  `property` - must not be null.
  `handler` - must not be null.
Returns:

#### registerCollectionHandler

    public AccessOptions.GetOptions registerCollectionHandler(PersistentProperty<?> property,
                                                              Function<? super Collection<?>,Object> handler)

Registers a `Function` to handle `Collection` values for the given property.

Parameters:
  `property` - must not be null.
  `handler` - must not be null.
Returns:

#### registerListHandler

    public AccessOptions.GetOptions registerListHandler(PersistentProperty<?> property,
                                                        Function<? super List<?>,Object> handler)

Registers a `Function` to handle `List` values for the given property.

Parameters:
  `property` - must not be null.
  `handler` - must not be null.
Returns:

#### registerSetHandler

    public AccessOptions.GetOptions registerSetHandler(PersistentProperty<?> property,
                                                       Function<? super Set<?>,Object> handler)

Registers a `Function` to handle `Set` values for the given property.

Parameters:
  `property` - must not be null.
  `handler` - must not be null.
Returns:

#### registerMapHandler

    public AccessOptions.GetOptions registerMapHandler(PersistentProperty<?> property,
                                                       Function<? super Map<?,?>,Object> handler)

Registers a `Function` to handle `Map` values for the given property.

Parameters:
  `property` - must not be null.
  `handler` - must not be null.
Returns:

#### registerHandler

    public <T> AccessOptions.GetOptions registerHandler(PersistentProperty<?> property,
                                                        Class<T> type,
                                                        Function<? super T,Object> handler)

Registers the given `Function` to post-process values obtained for the given `PersistentProperty` for the given type.

Type Parameters:
  `T` - the type of the value to handle.
Parameters:
  `property` - must not be null.
  `type` - must not be null.
  `handler` - must not be null.
Returns: